Package org.eclipse.birt.chart.model.type.impl

# Class BarSeriesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.SeriesImpl
org.eclipse.birt.chart.model.type.impl.BarSeriesImpl

All Implemented Interfaces:
  `Series`, `IChartObject`, `BarSeries`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class BarSeriesImpl extends SeriesImpl implements BarSeries
An implementation of the model object ' Bar Series'.

The following features are implemented:

- `Riser`
- `Riser Outline`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetRiserOutline(ColorDefinition newRiserOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`final boolean`
`canBeStacked()`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written
`final boolean`
`canParticipateInCombination()`
This method should return true if the series type can be used in a combination chart.
`boolean`
`canShareAxisUnit()`
Indicates if this series graphic element may share a scale unit with other similar elements.
`BarSeries`
`copyInstance()`
`static final Series`
`create()`
A convenience method to create an initialized 'Series' instance
`static final Series`
`createDefault()`
A convenience method to create an initialized 'Series' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`String`
`getDisplayName()`
This method should return a user-friendly name for the series type.
`org.eclipse.birt.chart.util.NameSet`
`getLabelPositionScope(ChartDimension dimension)`
Returns supported label positions scope in current series.
`RiserType`
`getRiser()`
`ColorDefinition`
`getRiserOutline()`
`boolean`
`isSetRiser()`
`boolean`
`isSingleCache()`
The method indicates if painting requests of series should be added to a single cache.
`void`
`setRiser(RiserType newRiser)`
`void`
`setRiserOutline(ColorDefinition newRiserOutline)`
`String`
`toString()`
`void`
`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary.
`void`
`unsetRiser()`

### Methods inherited from class org.eclipse.birt.chart.model.component.impl.SeriesImpl

`basicSetCursor, basicSetCurveFitting, basicSetDataPoint, basicSetLabel, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getLabel, getLabelPosition, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getLabel, getLabelPosition, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getRiser

public RiserType getRiser()

Specified by:
  `getRiser` in interface `BarSeries`
Returns:
  the value of the 'Riser' attribute.
See Also:
  - `RiserType`
  - `BarSeries.isSetRiser()`
  - `BarSeries.unsetRiser()`
  - `BarSeries.setRiser(RiserType)`
  - `TypePackage.getBarSeries_Riser()`

### setRiser

public void setRiser(RiserType newRiser)

Specified by:
  `setRiser` in interface `BarSeries`
Parameters:
  `newRiser` - the new value of the 'Riser' attribute.
See Also:
  - `RiserType`
  - `BarSeries.isSetRiser()`
  - `BarSeries.unsetRiser()`
  - `BarSeries.getRiser()`

### unsetRiser

public void unsetRiser()

Specified by:
  `unsetRiser` in interface `BarSeries`
See Also:
  - `BarSeries.isSetRiser()`
  - `BarSeries.getRiser()`
  - `BarSeries.setRiser(RiserType)`

### isSetRiser

public boolean isSetRiser()

Specified by:
  `isSetRiser` in interface `BarSeries`
Returns:
  whether the value of the 'Riser' attribute is set.
See Also:
  - `BarSeries.unsetRiser()`
  - `BarSeries.getRiser()`
  - `BarSeries.setRiser(RiserType)`

### getRiserOutline

public ColorDefinition getRiserOutline()

Specified by:
  `getRiserOutline` in interface `BarSeries`
Returns:
  the value of the 'Riser Outline' containment reference.
See Also:
  - `BarSeries.setRiserOutline(ColorDefinition)`
  - `TypePackage.getBarSeries_RiserOutline()`

### basicSetRiserOutline

public org.eclipse.emf.common.notify.NotificationChain basicSetRiserOutline(ColorDefinition newRiserOutline, org.eclipse.emf.common.notify.NotificationChain msgs)

### setRiserOutline

public void setRiserOutline(ColorDefinition newRiserOutline)

Specified by:
  `setRiserOutline` in interface `BarSeries`
Parameters:
  `newRiserOutline` - the new value of the 'Riser Outline' containment reference.
See Also:
  - `BarSeries.getRiserOutline()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `SeriesImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `SeriesImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `SeriesImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `SeriesImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `SeriesImpl`

### toString

public String toString()

Overrides:
  `toString` in class `SeriesImpl`

### canParticipateInCombination

public final boolean canParticipateInCombination()
Description copied from interface: `Series`
This method should return true if the series type can be used in a combination chart. NOTE: Manually written

Specified by:
  `canParticipateInCombination` in interface `Series`
Overrides:
  `canParticipateInCombination` in class `SeriesImpl`
Returns:
  true means this series can be used in combination chart

### canShareAxisUnit

public boolean canShareAxisUnit()
Description copied from interface: `Series`
Indicates if this series graphic element may share a scale unit with other similar elements. NOTE: Manually written

Specified by:
  `canShareAxisUnit` in interface `Series`
Overrides:
  `canShareAxisUnit` in class `SeriesImpl`
Returns:
  true means this series can share scale unit

### create

public static final Series create()
A convenience method to create an initialized 'Series' instance

Returns:
  series instance

### createDefault

public static final Series createDefault()
A convenience method to create an initialized 'Series' instance

Returns:
  series instance

### canBeStacked

public final boolean canBeStacked()
Description copied from interface: `Series`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written

Specified by:
  `canBeStacked` in interface `Series`
Overrides:
  `canBeStacked` in class `SeriesImpl`
Returns:
  true means this series can be stacked

### translateFrom

public void translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)
Description copied from interface: `Series`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary. This method should be overridden by each series type implementation in particular if the series type can participate in a combination. It will be called when converting from one series type to another. The iSeriesDefinitionIndex value is the index of the series definition among all series definitions at the same level (base or orthogonal) NOTE: Manually written

Specified by:
  `translateFrom` in interface `Series`
Overrides:
  `translateFrom` in class `SeriesImpl`

### getDisplayName

public String getDisplayName()
Description copied from interface: `Series`
This method should return a user-friendly name for the series type. NOTE: Manually written

Specified by:
  `getDisplayName` in interface `Series`
Overrides:
  `getDisplayName` in class `SeriesImpl`
Returns:
  display name for the series type

### isSingleCache

public boolean isSingleCache()
Description copied from interface: `Series`
The method indicates if painting requests of series should be added to a single cache.

Specified by:
  `isSingleCache` in interface `Series`
Overrides:
  `isSingleCache` in class `SeriesImpl`
Returns:
  `true` if painting requests of series should be added to a single cache. False means creating a new Cache for each series.

### copyInstance

public BarSeries copyInstance()

Specified by:
  `copyInstance` in interface `BarSeries`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Series`
Overrides:
  `copyInstance` in class `SeriesImpl`

### getLabelPositionScope

public org.eclipse.birt.chart.util.NameSet getLabelPositionScope(ChartDimension dimension)
Description copied from interface: `Series`
Returns supported label positions scope in current series. Label position set in series must be in one of these types.

Specified by:
  `getLabelPositionScope` in interface `Series`
Overrides:
  `getLabelPositionScope` in class `SeriesImpl`
Parameters:
  `dimension` - chart dimension
Returns:
  NameSet with supported label positions.